<?php
/*
Plugin Name: Image Hotlink Advantage Maximizer
Plugin URI: http://www.brewsterware.com
Description: Displays a link that a user can copy and paste when right clicking on an image. By <a target="_blank" href="http://www.brewsterware.com">Joe Brewer</a> and <a target="_blank" href="http://smackdown.blogsblogsblogs.com">Michael VanDeMar</a>. Inspiration and original idea by <a target="_blank" href="http://www.blogstorm.com">Patrick Altoft</a> .
Version: 1.0.0

Freeware
Copyright 2009 Joe Brewer

 */

function addIhamJavascript() {
	echo '<script type="text/javascript" src="'
			. get_option('siteurl')
			. '/wp-content/plugins/iham/hl2l.js"></script>';
}
 
function injectJavascript($PostBody) {	
	if (!is_feed()) {
		// find all images in the post content
		$regEx = "#(<img [^>]*?)>#mis";
		preg_match_all($regEx, $PostBody, $matches);
		
		// insert onmouseup for each image
		foreach ($matches[1] AS $value) {
			$img = rtrim($value, '/ ');
			$PostBody = str_replace($img,
									$img . " onmouseup=\"hl2l(event,'" .
										get_permalink($post->ID) . "');\"",
									$PostBody);
		}
	}
	
	return $PostBody;
}

add_filter('the_content', 'injectJavascript', 250);
add_action('wp_head', 'addIhamJavascript');

?>